Image-stitching and virtual tour solutions My account Updates
It is currently Thu Oct 30, 2014 7:23 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 22 posts ] 
Author Message
PostPosted: Sat Oct 24, 2009 9:24 pm 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
[sup]Creating screenshots[/sup]

You can create screenshots either using the Print Screen button on your keyboard and then pasting the image into any image editor, such as M$ Paint, and saving it as a PNG image, or better just install a proper image editor, like the free open source Gimp (links for Windows and Mac at the bottom of the page). To create the screenshot in Gimp, click on File > Create > Screenshot.

Comparison of raster graphics editors

Regardless of what program you use, its best if you save your screenshots to the PNG format (use maximum compression), and never resize them (unless you really need to and know what you are doing), since we sometimes have problems when people make their screenshots so small one cannot make anything out. If you want to use JPG, they will look nicer if you disable subsampling (1:1:1).

[hr /]

[sup]Uploading FILES[/sup]

If you need to upload FILES such as archives (ZIP, 7z, RAR, etc.), raw files (CR2, DNG, PEF, etc.), large or problematic images (TIFF, PNG, JPEG, etc.), or any other file that isn't an image which is too large for the forum's built-in image attachment functionality (limited to images both smaller than 5000x4000 pixels and less than 1563kB), you have two options: either upload the files privately only for Kolor, or make them public so the whole Autopano community can try to help.

If you want to upload files privately, for Kolor only, get an FTP client (comparison of FTP clients) and upload the archive to ftp://ftp.autopano.net/incoming/
Read this for more info: http://www.autopano.net/forum/t766-ftp-server

If you want to upload files publically, then use these websites:
http://filebin.net/
http://www.sendspace.com/
http://www.wikiupload.com/
http://www.zippyshare.com/sites/index_old.jsp
https://www.dropbox.com/

If you have images/photos which cause problems, or which for other reasons we must get exactly as you have them, upload them to the sites above, because they store them exactly as you upload them.

Explanation and comparison of file hosting websites

[hr /]

[sup]Uploading SCREENSHOTS[/sup]

If your image is both smaller than 5000x4000 pixels and less than 1563kB, then you can use the forum's built-in image attachment functionality. To use it, you need to either be creating a new topic or replying to an existing one using the "Post reply" button which shows you the full post editor, not the "Quick post" box at the bottom of the screen which shows only a basic post editor with no attachment functionality. This screenshot should dispel all doubts.

Do NOT upload images/photos which cause problems or which for other reasons we must get exactly as you have them to the sites below! These sites will automatically process them and although they might look the same, what you upload is not what we will download. They are good enough for screenshots, nothing more. They typically accept screenshots up to 1 or 2MB.
http://imgur.com/
http://www.tinypic.com/

If you use Linux, you can take a screenshot and have it automatically uploaded to imgur with the url automatically copied into your clipboard! See the post below titled Easily take and upload screenshots in Linux for a step-by-step.

[hr /]

[sup]Pasting CODE[/sup]

If you need to paste CODE (e.g. error messages, console output), it's easier to read if you use a monospace (fixed-width) font. To do so, use the [code ] [/code ] tags (without the space between the word "[code" and the closing bracket "]"), like this:
Code:
[code ]
Your code here.
 ______________________
/ You see me because I \
\ use monospace font.  /
 ----------------------
       \   ,__,
        \  (oo)____
           (__)    )\
              ||--|| *[/code ]

Alternatively, you can paste code on one of these sites:
http://paste2.org/
http://pastebay.net/
http://pastebin.com/
http://pastebin.ca/

Comparison of pastebins

[hr /]

[sup]Creating screencasts[/sup]

A screencast is a recording of your desktop activity. This can be used to create tutorials, and to get others to help you better if you record whatever you're having a problem with. Sometimes when reporting a bug, you might be asked to record a screencast so that others can help you better.

You might get lucky with using online screencast software which requires no installation:
- Screenr

Here is a list of free open source software for Windows for creating screencasts:
- CamStudio
- Taksi

Linux users have several free screencast software options at their disposal:
- recordMyDesktop using one of the frontends - either QT-recordMyDesktop or GTK-recordMyDesktop
- FFmpeg using command-line, here's one guide and here's another, and this is the code I use if my RT window is 1920x1080 pixels in size, it records the whole screen and then downscales to 720p:
Code:
fps="15"; vid="screencast_${fps}fps"; bitrate="2M"; preset="slower"; pushd /tmp/ && ffmpeg -y -ss 00:00:02 -f x11grab -show_region 1 -r ${fps} -s 1920x1080 -i :0.0+0,0 -an -vcodec libx264 -preset ultrafast -crf 18 -s hd720 -sws_flags lanczos -threads 0 /tmp/${vid}.mp4 && ffmpeg -y -i /tmp/${vid}.mp4 -an -vcodec libx264 -pass 1 -preset ${preset} -b:v ${bitrate} -threads 0 -f rawvideo /dev/null && ffmpeg -y -i /tmp/${vid}.mp4 -an -vcodec libx264 -pass 2 -preset ${preset} -b:v ${bitrate} -s hd720 -sws_flags lanczos -threads 0 ~/${vid}_${bitrate}_${preset}_`date +%F_%H%M%S`.mp4 && popd && ls -l /tmp/${vid}*.mp4 && ls -l ~/${vid}*.mp4 && rm --interactive /tmp/${vid}*.mp4

- xvidcap
- vnc2flv
- Kdenlive

Comparison of screencasting software
List of screencasting software

Once you create a screencast, use one of the file hosting sites listed above to upload it and then paste the link to it to the appropriate thread in the forum.


Last edited by DrSlony on Wed Oct 17, 2012 12:19 am, edited 1 time in total.

Top
 Profile  
 
 Post subject:
PostPosted: Sat Oct 24, 2009 9:54 pm 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
comments:
- I think the best place for this concise info is in the announcements section, but I cannot create posts there. If any mod moves this thread there, please also remove this post.
- There is a large free area of wasted space after the closing [/code ], perhaps you could tweak the CSS to prevent it.
- This version of punBB won't let me include a [code ] tag inside an existing one, so I had to add a space so that it doesn't get treated as a tag inside my code example. Perhaps an update to punBB will fix that. phpBB-2.0.23 lets me do that.
- I don't see the point of including the countless proprietary screencast/image editor/etc programs, perhaps a link to the appropriate wikipedia "list of * / comparison of *" page should be included. Only including the good open source ones seems worthwhile to me, since everyone can get them and since there are many open source projects still/eternally in an unusable state, or dead. I included the ones I personally tested, except for camstudio, i used an older version, not this newer one I linked.


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 2:54 am 
Offline
Member
User avatar

Joined: Thu Mar 06, 2008 8:49 pm
Posts: 265
Location: Oakland, Ca
I have used the Windows version of Camstudio. It works very well and increases your productivity. I automatically zooms in to the area you are clicking and has an excellent codec.


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 3:48 am 
Offline
Member

Joined: Tue Feb 21, 2006 5:32 pm
Posts: 1285
Location: Connecticut, USA
Other than price, how does it compare to Camtasia? How does it compare to Captivate?


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 9:51 am 
Offline
Administrator
User avatar

Joined: Mon Nov 14, 2005 4:56 pm
Posts: 5901
Location: Francin, France
Thanks a lot DrSlony for this nice introduction. Why not beeing transformed into a mod so that you can post directly in the announcement ?


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 12:05 pm 
Offline
Member

Joined: Tue Dec 06, 2005 1:57 pm
Posts: 2946
Location: Grenoble
DrSlony wrote:
Creating screenshots You can create screenshots either using the Print Screen button on your keyboard and then pasting the image into an image editor, such as

If this Print Screen key works on Mac, Unix and Windows it would be useful Autopano being able to get the screen image (Hmmm...) and save it in a proper format at a convenient place (its own temp dir? the current images dir?) with date, time, OS, version, etc included in one of the image corners.

BTW, hitting a key to save, retrieve and upload screen captures would be a useful feature when used to post in forums like this one or to send emails ...

_________________
Georges


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 1:06 pm 
Offline
Member
User avatar

Joined: Fri May 05, 2006 8:16 am
Posts: 1228
Location: Bulgaria
Heh, we cannot get around to updating punBB 1.2 to 1.3 (a minor version) and fix the forum admin css, or install a simple plugin, let alone alter the bbcode representation!

Thanks Maciek for the exhaustive post. Now all you have to do is make people read it. I can stick it in bright red in the Announcement bar above, but I don't really think it will help. Still, I'll do it.

_________________
Some of my panoramas, posted in the Autopano Pro flickr group.


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 2:51 pm 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
AlexandreJ: I'm ok with being a mod :]
GURL: I like the screenshot auto-taking and auto-saving to disk idea! But I'm not clear on what you mean by "retrieve and upload", retrieve from where? Upload to where? Some imagebin? This forum in a new post?
[bo]: "stick it in bright red in the Announcement bar above" would be good, and then we can just point people to this instead of repeating the same things over and over.


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 4:12 pm 
Offline
Member

Joined: Tue Dec 06, 2005 1:57 pm
Posts: 2946
Location: Grenoble
DrSlony wrote:
GURL: I like the screenshot auto-taking and auto-saving to disk idea! But I'm not clear on what you mean by "retrieve and upload", retrieve from where? Upload to where? Some imagebin? This forum in a new post?

;) Saving is not enough, if I save more than one screenshot or save several window contents in a row I must retrieve the right ones, edit them and use them...

Interesting: http://en.wikipedia.org/wiki/Screenshot#Built-in_screenshot_functionality
Too expensive "capture, edit, share, organize app": http://www.techsmith.com/snagit/features.asp

_________________
Georges


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 4:51 pm 
Offline
Administrator
User avatar

Joined: Mon Nov 14, 2005 4:56 pm
Posts: 5901
Location: Francin, France
DrSlony wrote:
AlexandreJ: I'm ok with being a mod :]

Done :)


Top
 Profile  
 
 Post subject:
PostPosted: Tue Oct 27, 2009 8:17 pm 
Offline
Member
User avatar

Joined: Sat Sep 06, 2008 8:49 am
Posts: 34
Location: Bodø, Nordland, Norway
For screen recordings there is http://screenr.com/ - its super easy to use, and its free. It gives you an embed code and url. At work I use both Captivate from Adobe and Articulate Studio to develop elearning. If you have Captivate it is possible to record fullmotion video with it, but I would just go for Screenr for short videos, up to 5 min - much faster.

Another free alternative is Jing (http://jingproject.com/), you can host video files locally or on your own server. Jing is made by TechSmith, who also develops Camtasia.

A shortcut to screenshots on a mac is to use shift+cmd+4 which gives you .png files autosaved to your desktop.

_________________
Trond Kristiansen
Sony NEX-5, Rokinon 8mm fisheye, NN R1
Nikon D80, Nikkor 10.5mm fisheye, 18-135 kit lens, NN5L w/RD-16
iMac 24"; Macbook Pro 17"; APG and PTP


Last edited by trondk on Tue Oct 27, 2009 8:34 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject:
PostPosted: Wed Oct 28, 2009 4:54 pm 
Offline
New member

Joined: Wed Oct 28, 2009 4:50 pm
Posts: 1
To just upload a screenshot image, I use uploadscreenshot.com. You can just printscreen to screenshot your entire screen, or alt-printscreen to screenshot a window, and it will be copied to your clipboard. If you go to uploadscreenshot.com, you can paste the screenshot image in your clipboard to the site, and it will be uploaded. After upload, it gives you a link to a BB Code that will display a thumbnail of the image in your post which will link to the full size image.


Top
 Profile  
 
 Post subject:
PostPosted: Wed Oct 28, 2009 8:15 pm 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
I will wait a while for more comments, and then check out all new links and update my first post.


Top
 Profile  
 
 Post subject:
PostPosted: Thu Oct 29, 2009 9:38 am 
Offline
Member
User avatar

Joined: Fri May 05, 2006 8:16 am
Posts: 1228
Location: Bulgaria
uploadscreenshot.com seems the best solution *IF* you have Java Runtime installed.

_________________
Some of my panoramas, posted in the Autopano Pro flickr group.


Top
 Profile  
 
 Post subject:
PostPosted: Tue Dec 01, 2009 2:42 pm 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
I spoke with the guy who runs imagebin.ca and convinced him to allow hotlinking, so if you had problems with that site in the past, they should be gone now.


Top
 Profile  
 
 Post subject:
PostPosted: Thu Feb 11, 2010 12:22 am 
Offline
Member
User avatar

Joined: Tue Jun 09, 2009 1:01 pm
Posts: 3345
Location: Salzburg
and public available files (APT resources AND AP resources) also can be uploaded via kolor/autopano wiki:
http://www.autopano.net/wiki-en/action/view/APT_Resources
Georg

_________________
pages: gigapixel.at - jedermann.at - My Equipment


Last edited by gkaefer on Thu Feb 11, 2010 12:23 am, edited 1 time in total.

Top
 Profile  
 
 Post subject:
PostPosted: Sat Jul 03, 2010 9:10 am 
Offline
Member

Joined: Tue Dec 06, 2005 1:57 pm
Posts: 2946
Location: Grenoble
Image

_________________
Georges


Top
 Profile  
 
 Post subject:
PostPosted: Sun Oct 31, 2010 6:58 pm 
Offline
Member

Joined: Fri Aug 14, 2009 7:45 pm
Posts: 241
Location: Gig Harbor USA
http://www.wisdom-soft.com/
Is a simple, easy, time saver program for $29.95. You can easily crop, edit and add notations, etc. Well worth the $$.

Marv.

_________________
Marv...

Nikon D700, Nikor 10.5mm DX (Shaved), Nikor 12-24mm DX, Modified Nodal NN180, Home made Nodal Ninja NN5 type Pano head, Really Right Stuff Plate & Clamps, Windows XP.


Top
 Profile  
 
 Post subject:
PostPosted: Mon Mar 19, 2012 1:08 am 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
I updated the first post to make it 2012 compatible ;]


Top
 Profile  
 
 Post subject:
PostPosted: Mon Mar 19, 2012 1:17 am 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
[sup]Easily take and upload screenshots in Linux[/sup]

Below is a great script for taking a screenshot of the whole desktop, a window you click on or a rectangular region you select with your mouse, and automatically uploading it and copying the url into your clipboard ready for pasting!

Save this script to a file in /usr/bin, let's call it /usr/bin/shoot
Now create a new shortcut to it in your window manager, for example in KDE4 I fire up "Custom Shortcuts" (ALT+F2 > hotkeys) and create a new "Global Shortcut > Command/URL", in the Trigger tab bind it to Shift+Print and in the Action tab set Command/URL to /usr/bin/shoot

Image

Now just press Print Screen while holding Shift, and either click a window or select a region. The screenshot gets taken and uploaded and you will get a popup notify telling you the url is ready in your clipboard :]

Code:
#!/bin/bash
#
# Original "shoot" script header below, however the script was largely edited by DrSlony.
#
# By Sirupsen @ http://sirupsen.dk
#
# Description: Very simple script to make you
# select a region of your screen, which will be captured, and
# then uploaded. The URL will then be injected into your clipboard.
#
# Dependencies:
#
# Imgur Bash Upload Script (http://imgur.com/tools/imgurbash.sh)
# Comment: Must be in path (see below) with the name "imgur" (not imgur.sh)
#
# Scrot
# Comment: Scrot is what takes the actual screenshot.
#
# Xclip
# Comment: Xclip is what makes the script able to inject the direct url
# into your clipboard.
#
# libnotify*
# Comment: Will notify you whenever the direct URL is in the clipboard
#
# Installation:
#
# Move the file to a local bin. And put the path of this bin, into
# your path. (See: www.troubleshooters.com/linux/prepostpath.htm)
#
# From then on, you can either activate it via your terminal, or via
# your window manager or similar, so you can bind it to a keycombination.
#

function uploadImage {
  curl -s -F "image=@$1" -F "key=486690f872c678126a2c09a9e196ce1b" http://imgur.com/api/upload.xml | grep -E -o "<original_image>(.)*</original_image>" | grep -E -o "http://i.imgur.com/[^<]*"
}

hash notify-send 2>&- || { echo "notify-send not found, install libnotify first" >&2; exit 1; }
hash scrot 2>&- || { notify-send "ERROR" "scrot not found, install scrot first" >&2; exit 1; }
hash xclip 2>&- || { notify-send "ERROR" "xclip not found, install xclip first" >&2; exit 1; }
hash curl 2>&- || { notify-send "ERROR" "curl not found, install curl first" >&2; exit 1; }
cd /tmp/ || { notify-send "ERROR" "Could not enter /tmp, set a different temp dir in the script" >&2; exit 1; }

filename="scrot_`date +%F\ %H%M%S`.png"
scrot -bs "${filename}"
notify-send "Uploading" "Uploading screenshot\n${filename}"
exec 3>&1 4>&2 ; duration="$( { TIMEFORMAT="%0R"; time uploadImage "${filename}" | xclip -selection c 1>&3 2>&4; } 2>&1 )" ; exec 3>&- 4>&- # http://mywiki.wooledge.org/BashFAQ/032
rm "${filename}"
notify-send "Done" "Uploaded\n${filename}\nin ${duration} seconds."


Top
 Profile  
 
 Post subject:
PostPosted: Tue Apr 10, 2012 7:56 pm 
Offline
New member

Joined: Mon Apr 09, 2012 7:17 pm
Posts: 6
better upload it publicly.

i strongly suggest photobucket or flickr or even mediafire, that way you can have a backup of your files.


Top
 Profile  
 
 Post subject:
PostPosted: Wed Oct 17, 2012 12:19 am 
Offline
Moderator
User avatar

Joined: Sat Nov 03, 2007 6:30 pm
Posts: 1872
Location: Sweden
I've updated the first post.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 22 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group